Subject: Re: [net-next v4] vxlan: Notify drivers for listening UDP port changes

From: Stephen Hemminger <[email-masked]>
Date: Fri, 6 Sep 2013 16:50:43 -0700

On Fri, 6 Sep 2013 16:42:26 -0700 (PDT)
Joseph Gasparakis <[email-masked]> wrote:

> That is correct, I started assuming dev will be a valid pointer, but then 
> I thought I shouldn't trust the caller, so I ended up with this. In fact I 
> have some upcoming sparse fixes too, so I will incorporate all this in one 
> patch. For this particular comment I will be checking dev first and 
> assigning net and vn after that.

This is the kernel, audit the callers. We don't add random null
pointer checks because that is worse. It creates random error paths
to validate.